### Hierarchy

- Controller

## Index

### Properties

- backgroundLayerMgr_
- bgLayer
- bgLayers
- gmfThemes_
- listenerKeys_
- map
- opacityLayer
- options
- select

### Methods

- $onInit
- getSetBgLayerOpacity
- handleDestroy_
- handleThemesChange_
- setLayer
- setOpacityBgLayer

## Properties

### backgroundLayerMgr_

backgroundLayerMgr_: MapBackgroundLayerManager

- Defined in src/backgroundlayerselector/component.js:170

### bgLayer

bgLayer: BaseLayer

- Defined in src/backgroundlayerselector/component.js:143

### bgLayers

bgLayers: BaseLayer[]

- Defined in src/backgroundlayerselector/component.js:148

### gmfThemes_

gmfThemes_: any

- Defined in src/backgroundlayerselector/component.js:158

### listenerKeys_

listenerKeys_: EventsKey[]

- Defined in src/backgroundlayerselector/component.js:163

### map

map: Map

- Defined in src/backgroundlayerselector/component.js:126

### opacityLayer

opacityLayer: BaseLayer

- Defined in src/backgroundlayerselector/component.js:153

### options

options: any

- Defined in src/backgroundlayerselector/component.js:131

### select

select: Function

- Defined in src/backgroundlayerselector/component.js:138

Function called when a layer was selected by the user.

## Methods

### $onInit

- $onInit(): void

- - Defined in src/backgroundlayerselector/component.js:191

  Initialise the controller.

  #### Returns void

### getSetBgLayerOpacity

- getSetBgLayerOpacity(val: number): number

- - Defined in src/backgroundlayerselector/component.js:223

  Getter/setter for background layer overlay, used by opacity slider.

  #### Parameters

  - ##### val: number

    The opacity.

  #### Returns number

  The background layer opacity.

### handleDestroy_

- handleDestroy_(): void

- - Defined in src/backgroundlayerselector/component.js:270

  #### Returns void

### handleThemesChange_

- handleThemesChange_(): void

- - Defined in src/backgroundlayerselector/component.js:198

  Called when the themes changes. Set (or reset) the background layers.

  #### Returns void

### setLayer

- setLayer(layer: BaseLayer, opt_silent: boolean): void

- - Defined in src/backgroundlayerselector/component.js:239

  #### Parameters

  - ##### layer: BaseLayer

    Layer.

  - ##### opt_silent: boolean

  #### Returns void

### setOpacityBgLayer

- setOpacityBgLayer(layer: BaseLayer): void

- - Defined in src/backgroundlayerselector/component.js:259

  Set a background layer overlay, used by the opacity slider.

  #### Parameters

  - ##### layer: BaseLayer

    The opacity background layer.

  #### Returns void

Generated using TypeDoc